<?php
Class DefaultClass{
  //parametros adcionais para marketplaces que tem informações especificas...
  private $adtionalParams = Array();

  public function setParam($param, $value){
    $this->adtionalParams[$param] = $value;
    return $this;
  }

  public function getParam($param){
    if(!array_key_exists($param, $this->adtionalParams)){
      throw new Exception('Valor não encontrado nos parametros adcionais: ' . $param);
    }else{
      return $this->adtionalParams[$param];
    }
  }

  public function hasParam($param){
    return (array_key_exists($param, $this->adtionalParams));
  }

  public function clearParams(){
    $this->adtionalParams = Array();
  }

  public function getParams(){
    return $this->adtionalParams;
  }
}